POSTNOTE(3)

NAME
postnote - send a note to a process or process group

SYNOPSIS
#include <u.h>
#include <libc.h>

int	postnote(int who, int pid, char *note)

DESCRIPTION
Postnote sends a note to a process or process group. If who is PNPROC, then note is written to /proc/pid/note. If who is PNGROUP, the note is delivered to the process group by writing note to /proc/pid/notepg. For PNGROUP only, if the calling process is in the target group, the note is not delivered to that process.

If the write is successful, zero is returned. Otherwise -1 is returned.

SOURCE
/usr/local/plan9/src/libc/9sys/postnote.c

SEE ALSO
notify(3), intro(3), proc(3)

DIAGNOSTICS
Sets errstr.